commit:     3cfe4d5a5b6b9d699ddc87865534e08c7e970a37
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 10 04:21:05 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Apr 10 05:08:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cfe4d5a

dev-python/os-win: 4.2.0 bump

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/os-win/Manifest            |  1 +
 dev-python/os-win/os-win-4.2.0.ebuild | 38 +++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/os-win/Manifest b/dev-python/os-win/Manifest
index 736bbdbba5c..860f4ff5eb3 100644
--- a/dev-python/os-win/Manifest
+++ b/dev-python/os-win/Manifest
@@ -1 +1,2 @@
 DIST os-win-3.0.1.tar.gz 202691 BLAKE2B 
934f90970ccdb7890379ca6f3545936db65f104414c4de51dd8956345b4e5330a3d6db286b6fc2cbc9f218528751fea56b7836d81cb9da1f271737817b220101
 SHA512 
619b893f4595fda57c2d339b10bf4a7de48c711829f1e2407f981c943b76999d1ee84c15a5b91b03fcd946f16754501cede2081c5ce0ae3ffea0e6f4faaaf23e
+DIST os-win-4.2.0.tar.gz 214676 BLAKE2B 
689417494acd7ddf219b7b29d670ed888dc0649fddb5e0a94b5160b2bec66167c14a315e0daa2f0fa794de96cecb15a054cbc6f4df0c4c8d26abb2367eb06862
 SHA512 
5f828e5b0b0a178a65959bb69f88c7bf30282b71f458ac36c11ef197dac3e821a2cbfb8be43acbc90d845e247be990ce6618b6dbe60205af8e890c2f7b7d245e

diff --git a/dev-python/os-win/os-win-4.2.0.ebuild 
b/dev-python/os-win/os-win-4.2.0.ebuild
new file mode 100644
index 00000000000..307b261b74d
--- /dev/null
+++ b/dev-python/os-win/os-win-4.2.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Windows / Hyper-V library for OpenStack projects."
+HOMEPAGE="https://github.com/openstack/os-win";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+       !~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
+       >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+       !~dev-python/eventlet-0.20.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-5.2.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-log-3.36.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       sed -i '/win32/d' requirements.txt || die
+       distutils-r1_python_prepare_all
+}

Reply via email to